Package org.eclipse.emf.compare.ide.ui.internal.logical

## Class ModelMinimizerRegistry

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.ModelMinimizerRegistry

All Implemented Interfaces:
  `IModelMinimizer.Registry`

    public class ModelMinimizerRegistry
    extends Object
    implements IModelMinimizer.Registry

A basic implementation of a registry for model minimizers that stores the model minimizers in a map with their respective class names.

### Constructor Summary

Constructors
`ModelMinimizerRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IModelMinimizer` `addMinimizer​(IModelMinimizer minimizer)` Add the given `minimizer` to this registry.
`CompoundModelMinimizer` `getCompoundMinimizer()` Returns a minimizer containing all registered minimizers.
`List<IModelMinimizer>` `getModelMinimizers()` Returns the list of registered model minimizers.
`void` `minimize​(SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)`
`IModelMinimizer` `removeMinimizer​(String className)` Removes the `minimizer` registered within this registry with the given class name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelMinimizerRegistry

    public ModelMinimizerRegistry()

### Method Detail

#### getModelMinimizers

    public List<IModelMinimizer> getModelMinimizers()

Description copied from interface: `IModelMinimizer.Registry`
Returns the list of registered model minimizers.

Specified by:
  `getModelMinimizers` in interface `IModelMinimizer.Registry`
Returns:
  the list of registered model minimizers.

#### addMinimizer

    public IModelMinimizer addMinimizer​(IModelMinimizer minimizer)

Description copied from interface: `IModelMinimizer.Registry`
Add the given `minimizer` to this registry.

Specified by:
  `addMinimizer` in interface `IModelMinimizer.Registry`
Parameters:
  `minimizer` - the minimizer to be added.
Returns:
  the previous value associated with the class name of the given `minimizer`.

#### removeMinimizer

    public IModelMinimizer removeMinimizer​(String className)

Description copied from interface: `IModelMinimizer.Registry`
Removes the `minimizer` registered within this registry with the given class name.

Specified by:
  `removeMinimizer` in interface `IModelMinimizer.Registry`
Parameters:
  `className` - the class name of a previously registered `minimizer`.
Returns:
  the previously registered `minimizer` or null if none was registered.

#### minimize

    public void minimize​(SynchronizationModel syncModel,
                         org.eclipse.core.runtime.IProgressMonitor monitor)

#### getCompoundMinimizer

    public CompoundModelMinimizer getCompoundMinimizer()

Description copied from interface: `IModelMinimizer.Registry`
Returns a minimizer containing all registered minimizers.

Specified by:
  `getCompoundMinimizer` in interface `IModelMinimizer.Registry`
Returns:
  a new compound minimizer with all registered minimizers.